Bug 819345 - JOSM validator crashes the pc if Hyper Threading is enabled
JOSM validator crashes the pc if Hyper Threading is enabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: josm (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Cédric OLIVIER
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-06 15:06 EDT by Psk
Modified: 2013-02-13 07:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:55:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Psk 2012-05-06 15:06:12 EDT
Description of problem:
My pc freeze when I launch JOSM validator (http://wiki.openstreetmap.org/wiki/JOSM/Validator) with lots of data to verify.

Version-Release number of selected component (if applicable): josm 5181

When hyperthreading (on a core I7 920) is activated, it crash all times when i launch the validator with lots of data. The PC freezes with a cpu load of 12 or 13% which correspond to the maximum charge on a logical core (100%/8= 12,5).

When hyperthreading is desactivated, the problem disapear and the cpu load can go to 50% or more to do the task normally.

I'm a new Linux user, so I have compared this problem with WIN 7 on the same pc and it works on windows with Hypertransport activated.
Comment 1 Psk 2012-05-06 19:03:38 EDT
"with Hypertransport activated."
I meant Hyper Threading
Comment 2 Fedora End Of Life 2013-01-16 07:35:00 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 07:55:16 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.